Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep.function
Class MSum

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.lsmp.djep.xjep.function.SumType
              org.lsmp.djep.xjep.function.Sum
                  org.lsmp.djep.matrixJep.function.MSum

All Implemented Interfaces:
  NaryOperatorI, CallbackEvaluationI, PostfixMathCommandI

    public class MSum

extends Sum
implements NaryOperatorI

Author:
  Rich Morris Created on 24-Apr-2005

Field Summary

Fields inherited from class org.lsmp.djep.xjep.function.SumType
`name`

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`MSum(JEP j)`

Method Summary
`Dimensions` | `calcDim(Dimensions[] dims)` Find the dimensions of this operator when applied to arguments with given dimensions.
`MatrixValueI` | `calcValue(MatrixValueI res, MatrixValueI[] inputs)` Calculates the value of this operator for given input with results stored in res.

Methods inherited from class org.lsmp.djep.xjep.function.Sum
`evaluate`

Methods inherited from class org.lsmp.djep.xjep.function.SumType
`checkNumberOfParameters, evaluate, evaluate, run`

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.nfunk.jep.function.PostfixMathCommandI
`checkNumberOfParameters, getNumberOfParameters, run, setCurNumberOfParameters`

Constructor Detail

### MSum

    public MSum(JEP j)

Parameters:
  `j` -

Method Detail

### calcDim

    public Dimensions calcDim(Dimensions[] dims)
                       throws ParseException

  Description copied from interface: `NaryOperatorI`
  Find the dimensions of this operator when applied to arguments with given dimensions.

  Specified by:
    `calcDim` in interface `NaryOperatorI`
  Throws:
    `ParseException`

### calcValue

    public MatrixValueI calcValue(MatrixValueI res,
                                  MatrixValueI[] inputs)
                           throws ParseException

  Description copied from interface: `NaryOperatorI`
  Calculates the value of this operator for given input with results stored in res. res is returned.

  Specified by:
    `calcValue` in interface `NaryOperatorI`
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems